Package net.shibboleth.profile.installablecomponent

# Enum Class InstallableComponentSupport.SupportLevel

java.lang.Object
java.lang.Enum<InstallableComponentSupport.SupportLevel>
net.shibboleth.profile.installablecomponent.InstallableComponentSupport.SupportLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<InstallableComponentSupport.SupportLevel>`, `Constable`

Enclosing class:
  InstallableComponentSupport

public static enum InstallableComponentSupport.SupportLevel extends Enum<InstallableComponentSupport.SupportLevel>
Value for support level pointed to by `InstallableComponentSupport.SUPPORT_LEVEL_INTERFIX`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Current`
The current release.
`OutOfDate`
Still working but a new version is available.
`Secadv`
Security alerts against this plugin.
`Unknown`
Nothing published.
`Unsupported`
Out of Support.
`Withdrawn`
Withdrawn.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SupportLevel()`

## Method Summary

Modifier and Type
Method
Description
`static InstallableComponentSupport.SupportLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InstallableComponentSupport.SupportLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Current

public static final InstallableComponentSupport.SupportLevel Current
The current release.

### OutOfDate

public static final InstallableComponentSupport.SupportLevel OutOfDate
Still working but a new version is available.

### Unsupported

public static final InstallableComponentSupport.SupportLevel Unsupported
Out of Support.

### Secadv

public static final InstallableComponentSupport.SupportLevel Secadv
Security alerts against this plugin.

### Withdrawn

public static final InstallableComponentSupport.SupportLevel Withdrawn
Withdrawn.

### Unknown

public static final InstallableComponentSupport.SupportLevel Unknown
Nothing published.

## Constructor Details

### SupportLevel

private SupportLevel()

## Method Details

### values

public static InstallableComponentSupport.SupportLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InstallableComponentSupport.SupportLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null